# Generated by Django 4.2.3 on 2023-07-24 16:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('school_management', '0002_attendance_attendancereport_grade_group_profile_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='group',
            name='teacher',
        ),
        migrations.RemoveField(
            model_name='profile',
            name='role',
        ),
        migrations.RemoveField(
            model_name='session',
            name='attendances',
        ),
        migrations.AddField(
            model_name='attendance',
            name='student',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='school_management.student'),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='AttendanceReport',
        ),
    ]
